NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.UserDefinedMotionBuilder Class Reference

Represents a NXOpen.Tooling.UserDefinedMotionBuilder to create user defined motion, which contains linear and rotary motion More...

Inheritance diagram for NXOpen.Tooling.UserDefinedMotionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  LinearCurveTypes { Linear, FromFile }
 Specifies the motion curve types when motion type is Linear More...
 
enum  MotionTypes { Linear, Rotary }
 Specifies the motion types More...
 
enum  RotaryCurveTypes { Rotary, FromFile }
 Specifies the motion curve types when motion type is Rotary More...
 

Public Member Functions

unsafe void DeleteUserDefinedMotion (string motionName)
 Delete a user defined motion More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string AssemblyComponentName [get, set]
 Returns or sets the assembly component name More...
 
unsafe bool CreateKinematicComponent [get, set]
 Returns or sets the create kinematic component More...
 
unsafe string ExportMotion [get, set]
 Returns or sets the export motion More...
 
unsafe string ImportMotion [get, set]
 Returns or sets the import motion More...
 
unsafe
NXOpen.Tooling.UserDefinedMotionBuilder.LinearCurveTypes 
LinearCurveType [get, set]
 Returns or sets the linear curve type More...
 
unsafe NXOpen.Direction LinearMotionVector [get, set]
 Returns or sets the linear motion vector More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
MotionBody [get]
 Returns the motion body More...
 
unsafe string MotionName [get, set]
 Returns or sets the motion name More...
 
unsafe
NXOpen.Tooling.UserDefinedMotionBuilder.MotionTypes 
MotionType [get, set]
 Returns or sets the motion type More...
 
unsafe double MoveDistance [get, set]
 Returns or sets the move distance More...
 
unsafe double PressStartAngle [get, set]
 Returns or sets the press start angle More...
 
unsafe double PressStopAngle [get, set]
 Returns or sets the press stop angle More...
 
unsafe double ReturnStartAngle [get, set]
 Returns or sets the return start angle More...
 
unsafe double ReturnStopAngle [get, set]
 Returns or sets the return stop angle More...
 
unsafe
NXOpen.Tooling.UserDefinedMotionBuilder.RotaryCurveTypes 
RotaryCurveType [get, set]
 Returns or sets the rotary curve type More...
 
unsafe NXOpen.Axis RotaryMotionAxis [get, set]
 Returns or sets the rotary motion axis More...
 
unsafe double RotationAngle [get, set]
 Returns or sets the rotation angle More...
 
unsafe bool UseControlData [get, set]
 Returns or sets the use control data More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.UserDefinedMotionBuilder to create user defined motion, which contains linear and rotary motion

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateUserDefinedMotionBuilder

Default values.

Property Value

LinearCurveType

Linear

MotionType

Linear

MoveDistance

0

PressStartAngle

0

PressStopAngle

90

ReturnStartAngle

180

ReturnStopAngle

270

RotaryCurveType

Rotary

RotationAngle

0

UseControlData

0

Created in NX11.0.0

Member Enumeration Documentation

Specifies the motion curve types when motion type is Linear

Enumerator
Linear 

Linear motion curve type

FromFile 

Motion curve data read from file type

Specifies the motion types

Enumerator
Linear 

Linear motion type

Rotary 

Rotary motion type

Specifies the motion curve types when motion type is Rotary

Enumerator
Rotary 

Rotary motion curve type

FromFile 

Motion curve data read from file type

Member Function Documentation

unsafe void NXOpen.Tooling.UserDefinedMotionBuilder.DeleteUserDefinedMotion ( string  motionName)
inline

Delete a user defined motion

Created in NX11.0.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

Parameters
motionName

Property Documentation

unsafe string NXOpen.Tooling.UserDefinedMotionBuilder.AssemblyComponentName
getset

Returns or sets the assembly component name

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe bool NXOpen.Tooling.UserDefinedMotionBuilder.CreateKinematicComponent
getset

Returns or sets the create kinematic component

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe string NXOpen.Tooling.UserDefinedMotionBuilder.ExportMotion
getset

Returns or sets the export motion

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe string NXOpen.Tooling.UserDefinedMotionBuilder.ImportMotion
getset

Returns or sets the import motion

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.Tooling.UserDefinedMotionBuilder.LinearCurveTypes NXOpen.Tooling.UserDefinedMotionBuilder.LinearCurveType
getset

Returns or sets the linear curve type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.Direction NXOpen.Tooling.UserDefinedMotionBuilder.LinearMotionVector
getset

Returns or sets the linear motion vector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.UserDefinedMotionBuilder.MotionBody
get

Returns the motion body

Created in NX11.0.0

License requirements: None.

unsafe string NXOpen.Tooling.UserDefinedMotionBuilder.MotionName
getset

Returns or sets the motion name

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.Tooling.UserDefinedMotionBuilder.MotionTypes NXOpen.Tooling.UserDefinedMotionBuilder.MotionType
getset

Returns or sets the motion type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.MoveDistance
getset

Returns or sets the move distance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.PressStartAngle
getset

Returns or sets the press start angle

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.PressStopAngle
getset

Returns or sets the press stop angle

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.ReturnStartAngle
getset

Returns or sets the return start angle

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.ReturnStopAngle
getset

Returns or sets the return stop angle

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.Tooling.UserDefinedMotionBuilder.RotaryCurveTypes NXOpen.Tooling.UserDefinedMotionBuilder.RotaryCurveType
getset

Returns or sets the rotary curve type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe NXOpen.Axis NXOpen.Tooling.UserDefinedMotionBuilder.RotaryMotionAxis
getset

Returns or sets the rotary motion axis

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe double NXOpen.Tooling.UserDefinedMotionBuilder.RotationAngle
getset

Returns or sets the rotation angle

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")

unsafe bool NXOpen.Tooling.UserDefinedMotionBuilder.UseControlData
getset

Returns or sets the use control data

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard") OR die_engineering ("DIE ENGINEERING") OR ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.